[CentOS-virt] yum update Failing with libvirt-daemon error

Francis The Metman themetman at themetman.net
Fri Dec 30 16:56:20 UTC 2016


PJ
My server is critical to me, but not the public, fortunately. 
I can take it down as I suggested, but am a bit reluctant to do so until I have heard more opinions.
Presumably your system update failed using your script, so it will probably fail for me if I copy it.
I will keep a copy anyway.


----- Original Message -----
> From: "PJ Welsh" <pjwelsh at gmail.com>
> To: "Discussion about the virtualization on CentOS" <centos-virt at centos.org>
> Sent: Friday, 30 December, 2016 2:14:07 PM
> Subject: Re: [CentOS-virt] yum update Failing with libvirt-daemon error
> 
> 
> 
> It may be worth a try if you can bring down your systems to do that.
> I have 4 productions servers in this state with no test option at
> this moment that is running CentOS 7.3 (the dev box is running 6.8
> with same same Xen version).
> It realy seems odd that only 2 of us have noticed this or have this
> issue. I have a very basic install on those servers. Along the lines
> that you are thinking, my standard (manual) minor version update
> practice for many years on all of my servers has been a recommended
> script with:
> #!/bin/bash
> 
> yum -y update glibc\*
> 
> yum -y update yum\* rpm\* pyth\*
> yum -y update mkinitrd nash
> 
> yum -y update selinux\*
> yum -y update --disablerepo=\* --enablerepo=base,updates,custom
> --skip-broken
> yum -y update --skip-broken
> 
> 
> 
> This effectively eliminates the Xen repo until the very end of any
> updates.
> 
> 
> Thanks
> PJ
> 
> 
> On Fri, Dec 30, 2016 at 7:34 AM, Francis The Metman <
> themetman at themetman.net > wrote:
> 
> 
> I am still waiting in hope someone will have an idea on what to do.
> Perhaps I should do this:-
> 
> boot into a normal kernel
> uninstall centos-virt
> update the system
> reinstall centos-virt
> 
> What do you think?
> Francis
> 
> 
> 
> ----- Original Message -----
> > From: "PJ Welsh" < pjwelsh at gmail.com >
> > To: "Discussion about the virtualization on CentOS" <
> > centos-virt at centos.org >
> > Sent: Thursday, 29 December, 2016 6:42:21 PM
> > Subject: Re: [CentOS-virt] yum update Failing with libvirt-daemon
> > error
> > 
> > 
> > 
> > Anyone have an idea of what may have happened or how to fix? I'm
> > only
> > seeing this issue after the OS update to CentOS 7.3.
> > Thanks
> > PJ
> > 
> > 
> > On Sat, Dec 24, 2016 at 10:19 AM, PJ Welsh < pjwelsh at gmail.com >
> > wrote:
> > 
> > 
> > 
> > I'v also got this issue when trying to update my CentOS 7.3
> > systems.
> > I did see a new user request that mentioned beginning to help with
> > libvrit 2.0 and/or 2.5 updates. Just not sure what to do in the
> > short term? Any hints/help would be appreciated:
> > 
> > Loaded plugins: fastestmirror
> > Loading mirror speeds from cached hostfile
> > * base: mirrors.cmich.edu
> > * elrepo: mirrors.netix.net
> > * epel: mirror.cs.princeton.edu
> > * extras: centos.mirrors.hoobly.com
> > * updates: mirror.spro.net
> > Resolving Dependencies
> > --> Running transaction check
> > ---> Package libguestfs.x86_64 1:1.28.1-1.55.el7.centos.4 will be
> > updated
> > ---> Package libguestfs.x86_64 1:1.32.7-3.el7.centos will be an
> > update
> > ---> Package libguestfs-tools.noarch 1:1.28.1-1.55.el7.centos.4
> > will
> > be updated
> > ---> Package libguestfs-tools.noarch 1:1.32.7-3.el7.centos will be
> > an
> > update
> > ---> Package libguestfs-tools-c.x86_64 1:1.28.1-1.55.el7.centos.4
> > will be updated
> > ---> Package libguestfs-tools-c.x86_64 1:1.32.7-3.el7.centos will
> > be
> > an update
> > ---> Package libvirt.x86_64 0:1.3.0-1.el7 will be updated
> > ---> Package libvirt.x86_64 0:2.0.0-10.el7_3.2 will be an update
> > ---> Package libvirt-client.x86_64 0:1.3.0-1.el7 will be updated
> > ---> Package libvirt-client.x86_64 0:2.0.0-10.el7_3.2 will be an
> > update
> > ---> Package libvirt-daemon.x86_64 0:1.3.0-1.el7 will be updated
> > --> Processing Dependency: libvirt-daemon = 1.3.0-1.el7 for
> > package:
> > libvirt-daemon-driver-libxl-1.3.0-1.el7.x86_64
> > --> Processing Dependency: libvirt-daemon = 1.3.0-1.el7 for
> > package:
> > libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > --> Processing Dependency: libvirt-daemon = 1.3.0-1.el7 for
> > package:
> > libvirt-daemon-driver-xen-1.3.0-1.el7.x86_64
> > ---> Package libvirt-daemon.x86_64 0:2.0.0-10.el7_3.2 will be an
> > update
> > ---> Package libvirt-daemon-config-network.x86_64 0:1.3.0-1.el7
> > will
> > be updated
> > ---> Package libvirt-daemon-config-network.x86_64
> > 0:2.0.0-10.el7_3.2
> > will be an update
> > ---> Package libvirt-daemon-config-nwfilter.x86_64 0:1.3.0-1.el7
> > will
> > be updated
> > ---> Package libvirt-daemon-config-nwfilter.x86_64
> > 0:2.0.0-10.el7_3.2
> > will be an update
> > ---> Package libvirt-daemon-driver-interface.x86_64 0:1.3.0-1.el7
> > will be updated
> > --> Processing Dependency: libvirt-daemon-driver-interface =
> > 1.3.0-1.el7 for package: libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > ---> Package libvirt-daemon-driver-interface.x86_64
> > 0:2.0.0-10.el7_3.2 will be an update
> > ---> Package libvirt-daemon-driver-lxc.x86_64 0:1.3.0-1.el7 will be
> > updated
> > ---> Package libvirt-daemon-driver-lxc.x86_64 0:2.0.0-10.el7_3.2
> > will
> > be an update
> > ---> Package libvirt-daemon-driver-network.x86_64 0:1.3.0-1.el7
> > will
> > be updated
> > --> Processing Dependency: libvirt-daemon-driver-network =
> > 1.3.0-1.el7 for package: libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > ---> Package libvirt-daemon-driver-network.x86_64
> > 0:2.0.0-10.el7_3.2
> > will be an update
> > ---> Package libvirt-daemon-driver-nodedev.x86_64 0:1.3.0-1.el7
> > will
> > be updated
> > --> Processing Dependency: libvirt-daemon-driver-nodedev =
> > 1.3.0-1.el7 for package: libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > ---> Package libvirt-daemon-driver-nodedev.x86_64
> > 0:2.0.0-10.el7_3.2
> > will be an update
> > ---> Package libvirt-daemon-driver-nwfilter.x86_64 0:1.3.0-1.el7
> > will
> > be updated
> > --> Processing Dependency: libvirt-daemon-driver-nwfilter =
> > 1.3.0-1.el7 for package: libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > ---> Package libvirt-daemon-driver-nwfilter.x86_64
> > 0:2.0.0-10.el7_3.2
> > will be an update
> > ---> Package libvirt-daemon-driver-qemu.x86_64 0:1.3.0-1.el7 will
> > be
> > updated
> > ---> Package libvirt-daemon-driver-qemu.x86_64 0:2.0.0-10.el7_3.2
> > will be an update
> > ---> Package libvirt-daemon-driver-secret.x86_64 0:1.3.0-1.el7 will
> > be updated
> > --> Processing Dependency: libvirt-daemon-driver-secret =
> > 1.3.0-1.el7
> > for package: libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > ---> Package libvirt-daemon-driver-secret.x86_64 0:2.0.0-10.el7_3.2
> > will be an update
> > ---> Package libvirt-daemon-driver-storage.x86_64 0:1.3.0-1.el7
> > will
> > be updated
> > --> Processing Dependency: libvirt-daemon-driver-storage =
> > 1.3.0-1.el7 for package: libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > ---> Package libvirt-daemon-driver-storage.x86_64
> > 0:2.0.0-10.el7_3.2
> > will be an update
> > ---> Package libvirt-daemon-kvm.x86_64 0:1.3.0-1.el7 will be
> > updated
> > ---> Package libvirt-daemon-kvm.x86_64 0:2.0.0-10.el7_3.2 will be
> > an
> > update
> > ---> Package libvirt-python.x86_64 0:1.3.0-1.el7 will be updated
> > ---> Package libvirt-python.x86_64 0:2.0.0-2.el7 will be an update
> > ---> Package perl-Sys-Guestfs.x86_64 1:1.28.1-1.55.el7.centos.4
> > will
> > be updated
> > ---> Package perl-Sys-Guestfs.x86_64 1:1.32.7-3.el7.centos will be
> > an
> > update
> > ---> Package perl-Sys-Virt.x86_64 0:1.2.17-2.el7 will be updated
> > ---> Package perl-Sys-Virt.x86_64 0:2.0.0-1.el7 will be an update
> > ---> Package supermin5.x86_64 0:5.1.10-1.2.el7 will be updated
> > ---> Package supermin5.x86_64 0:5.1.16-4.el7 will be an update
> > ---> Package syslinux.x86_64 0:4.05-12.el7 will be updated
> > ---> Package syslinux.x86_64 0:4.05-13.el7 will be an update
> > ---> Package syslinux-extlinux.x86_64 0:4.05-12.el7 will be updated
> > ---> Package syslinux-extlinux.x86_64 0:4.05-13.el7 will be an
> > update
> > ---> Package virt-v2v.x86_64 1:1.28.1-1.55.el7.centos.4 will be
> > updated
> > ---> Package virt-v2v.x86_64 1:1.32.7-3.el7.centos will be an
> > update
> > --> Finished Dependency Resolution
> > Error: Package: libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > Requires: libvirt-daemon-driver-storage = 1.3.0-1.el7
> > Removing: libvirt-daemon-driver-storage-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > libvirt-daemon-driver-storage = 1.3.0-1.el7
> > Updated By: libvirt-daemon-driver-storage-2.0.0-10.el7_3.2.x86_64
> > (updates)
> > libvirt-daemon-driver-storage = 2.0.0-10.el7_3.2
> > Available: libvirt-daemon-driver-storage-1.2.15-104.el7.x86_64
> > (centos-virt-xen)
> > libvirt-daemon-driver-storage = 1.2.15-104.el7
> > Available: libvirt-daemon-driver-storage-2.0.0-10.el7.x86_64 (base)
> > libvirt-daemon-driver-storage = 2.0.0-10.el7
> > Error: Package: libvirt-daemon-driver-xen-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > Requires: libvirt-daemon = 1.3.0-1.el7
> > Removing: libvirt-daemon-1.3.0-1.el7.x86_64 (@centos-virt-xen)
> > libvirt-daemon = 1.3.0-1.el7
> > Updated By: libvirt-daemon-2.0.0-10.el7_3.2.x86_64 (updates)
> > libvirt-daemon = 2.0.0-10.el7_3.2
> > Available: libvirt-daemon-1.2.15-104.el7.x86_64 (centos-virt-xen)
> > libvirt-daemon = 1.2.15-104.el7
> > Available: libvirt-daemon-2.0.0-10.el7.x86_64 (base)
> > libvirt-daemon = 2.0.0-10.el7
> > Error: Package: libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > Requires: libvirt-daemon = 1.3.0-1.el7
> > Removing: libvirt-daemon-1.3.0-1.el7.x86_64 (@centos-virt-xen)
> > libvirt-daemon = 1.3.0-1.el7
> > Updated By: libvirt-daemon-2.0.0-10.el7_3.2.x86_64 (updates)
> > libvirt-daemon = 2.0.0-10.el7_3.2
> > Available: libvirt-daemon-1.2.15-104.el7.x86_64 (centos-virt-xen)
> > libvirt-daemon = 1.2.15-104.el7
> > Available: libvirt-daemon-2.0.0-10.el7.x86_64 (base)
> > libvirt-daemon = 2.0.0-10.el7
> > Error: Package: libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > Requires: libvirt-daemon-driver-nwfilter = 1.3.0-1.el7
> > Removing: libvirt-daemon-driver-nwfilter-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > libvirt-daemon-driver-nwfilter = 1.3.0-1.el7
> > Updated By: libvirt-daemon-driver-nwfilter-2.0.0-10.el7_3.2.x86_64
> > (updates)
> > libvirt-daemon-driver-nwfilter = 2.0.0-10.el7_3.2
> > Available: libvirt-daemon-driver-nwfilter-1.2.15-104.el7.x86_64
> > (centos-virt-xen)
> > libvirt-daemon-driver-nwfilter = 1.2.15-104.el7
> > Available: libvirt-daemon-driver-nwfilter-2.0.0-10.el7.x86_64
> > (base)
> > libvirt-daemon-driver-nwfilter = 2.0.0-10.el7
> > Error: Package: libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > Requires: libvirt-daemon-driver-secret = 1.3.0-1.el7
> > Removing: libvirt-daemon-driver-secret-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > libvirt-daemon-driver-secret = 1.3.0-1.el7
> > Updated By: libvirt-daemon-driver-secret-2.0.0-10.el7_3.2.x86_64
> > (updates)
> > libvirt-daemon-driver-secret = 2.0.0-10.el7_3.2
> > Available: libvirt-daemon-driver-secret-1.2.15-104.el7.x86_64
> > (centos-virt-xen)
> > libvirt-daemon-driver-secret = 1.2.15-104.el7
> > Available: libvirt-daemon-driver-secret-2.0.0-10.el7.x86_64 (base)
> > libvirt-daemon-driver-secret = 2.0.0-10.el7
> > Error: Package: libvirt-daemon-driver-libxl-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > Requires: libvirt-daemon = 1.3.0-1.el7
> > Removing: libvirt-daemon-1.3.0-1.el7.x86_64 (@centos-virt-xen)
> > libvirt-daemon = 1.3.0-1.el7
> > Updated By: libvirt-daemon-2.0.0-10.el7_3.2.x86_64 (updates)
> > libvirt-daemon = 2.0.0-10.el7_3.2
> > Available: libvirt-daemon-1.2.15-104.el7.x86_64 (centos-virt-xen)
> > libvirt-daemon = 1.2.15-104.el7
> > Available: libvirt-daemon-2.0.0-10.el7.x86_64 (base)
> > libvirt-daemon = 2.0.0-10.el7
> > Error: Package: libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > Requires: libvirt-daemon-driver-network = 1.3.0-1.el7
> > Removing: libvirt-daemon-driver-network-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > libvirt-daemon-driver-network = 1.3.0-1.el7
> > Updated By: libvirt-daemon-driver-network-2.0.0-10.el7_3.2.x86_64
> > (updates)
> > libvirt-daemon-driver-network = 2.0.0-10.el7_3.2
> > Available: libvirt-daemon-driver-network-1.2.15-104.el7.x86_64
> > (centos-virt-xen)
> > libvirt-daemon-driver-network = 1.2.15-104.el7
> > Available: libvirt-daemon-driver-network-2.0.0-10.el7.x86_64 (base)
> > libvirt-daemon-driver-network = 2.0.0-10.el7
> > Error: Package: libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > Requires: libvirt-daemon-driver-interface = 1.3.0-1.el7
> > Removing: libvirt-daemon-driver-interface-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > libvirt-daemon-driver-interface = 1.3.0-1.el7
> > Updated By: libvirt-daemon-driver-interface-2.0.0-10.el7_3.2.x86_64
> > (updates)
> > libvirt-daemon-driver-interface = 2.0.0-10.el7_3.2
> > Available: libvirt-daemon-driver-interface-1.2.15-104.el7.x86_64
> > (centos-virt-xen)
> > libvirt-daemon-driver-interface = 1.2.15-104.el7
> > Available: libvirt-daemon-driver-interface-2.0.0-10.el7.x86_64
> > (base)
> > libvirt-daemon-driver-interface = 2.0.0-10.el7
> > Error: Package: libvirt-daemon-xen-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > Requires: libvirt-daemon-driver-nodedev = 1.3.0-1.el7
> > Removing: libvirt-daemon-driver-nodedev-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > libvirt-daemon-driver-nodedev = 1.3.0-1.el7
> > Updated By: libvirt-daemon-driver-nodedev-2.0.0-10.el7_3.2.x86_64
> > (updates)
> > libvirt-daemon-driver-nodedev = 2.0.0-10.el7_3.2
> > Available: libvirt-daemon-driver-nodedev-1.2.15-104.el7.x86_64
> > (centos-virt-xen)
> > libvirt-daemon-driver-nodedev = 1.2.15-104.el7
> > Available: libvirt-daemon-driver-nodedev-2.0.0-10.el7.x86_64 (base)
> > libvirt-daemon-driver-nodedev = 2.0.0-10.el7
> > You could try using --skip-broken to work around the problem
> > 
> > 
> > 
> > 
> > On Thu, Dec 22, 2016 at 4:31 AM, TheMetMan <
> > themetman at themetman.net
> > > wrote:
> > 
> > 
> > 
> > 
> > 
> > 
> > 
> > 
> > I have a Dell T430 with CentOS 7 kernel release:
> > 3.18.41-20.el7.x86_64 and xen_version : 4.6.3-3.el7
> > 
> > I am doing an update of my server, but it fails:-
> > 
> > yum update
> > 
> > =================================================================================
> > 
> > Error: Package: libvirt-daemon-driver-libxl-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > Requires: libvirt-daemon = 1.3.0-1.el7
> > Removing: libvirt-daemon-1.3.0-1.el7.x86_64 (@centos-virt-xen)
> > libvirt-daemon = 1.3.0-1.el7
> > Updated By: libvirt-daemon-2.0.0-10.el7_3.2.x86_64 (updates)
> > libvirt-daemon = 2.0.0-10.el7_3.2
> > Available: libvirt-daemon-1.2.15-104.el7.x86_64 (centos-virt-xen)
> > libvirt-daemon = 1.2.15-104.el7
> > Available: libvirt-daemon-2.0.0-10.el7.x86_64 (base)
> > libvirt-daemon = 2.0.0-10.el7
> > Error: Package: libvirt-daemon-driver-xen-1.3.0-1.el7.x86_64
> > (@centos-virt-xen)
> > Requires: libvirt-daemon = 1.3.0-1.el7
> > Removing: libvirt-daemon-1.3.0-1.el7.x86_64 (@centos-virt-xen)
> > libvirt-daemon = 1.3.0-1.el7
> > Updated By: libvirt-daemon-2.0.0-10.el7_3.2.x86_64 (updates)
> > libvirt-daemon = 2.0.0-10.el7_3.2
> > Available: libvirt-daemon-1.2.15-104.el7.x86_64 (centos-virt-xen)
> > libvirt-daemon = 1.2.15-104.el7
> > Available: libvirt-daemon-2.0.0-10.el7.x86_64 (base)
> > libvirt-daemon = 2.0.0-10.el7
> > You could try using --skip-broken to work around the problem
> > You could try running: rpm -Va --nofiles --nodigest
> > ==================================================================================
> > 
> > I have tried using --skip-broken, and rebooted, but same error, and
> > rpm -Va --nofiles --nodigest seems to do nothing.
> > 
> > Anyone know how to fix this?
> > 
> > Cheers
> > 
> > Francis
> > 
> > 
> > 
> > 
> > This message is confidential. You should not copy it or disclose
> > its
> > contents to anyone without the permission of the sender. You may
> > use
> > and apply the information only for the intended purpose of this
> > message. Internet communications are not secure and therefore I do
> > not accept legal responsibility for the contents of this message.
> > Any views or opinions presented are only mine. If this e-mail has
> > come to you in error please delete it and any attachments.
> > This Email has been virus checked several times.
> > 
> > 
> > 
> 
> 
> > _______________________________________________
> > CentOS-virt mailing list
> > CentOS-virt at centos.org
> > https://lists.centos.org/mailman/listinfo/centos-virt
> > 
> > 
> > 
> > 
> > _______________________________________________
> > CentOS-virt mailing list
> > CentOS-virt at centos.org
> > https://lists.centos.org/mailman/listinfo/centos-virt
> > 
> 
> _______________________________________________
> CentOS-virt mailing list
> CentOS-virt at centos.org
> https://lists.centos.org/mailman/listinfo/centos-virt
> 
> 
> _______________________________________________
> CentOS-virt mailing list
> CentOS-virt at centos.org
> https://lists.centos.org/mailman/listinfo/centos-virt
> 



More information about the CentOS-virt mailing list